%define oname OpenJPEG
%define oversion %(echo %{version} | sed -e 's/\\./_/g')

%define lib_major 2
%define lib_name %mklibname %{name} %{lib_major}
%define lib_dev %mklibname %{name} -d

%define common_description The OpenJPEG library is an open-source JPEG 2000 codec written in C\
language. It has been developed in order to promote the use of JPEG\
2000, the new still-image compression standard from the Joint\
Photographic Experts Group (JPEG).

Name: openjpeg
Version: 1.3
Release: %mkrel 6
Summary: An open-source JPEG 2000 codec 
Source0: %{name}_v%{oversion}.tar.gz
Patch0: openjpeg-1.3-Makefile.patch
License: BSD
Group: System/Libraries
Url: http://www.openjpeg.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
%{common_description}

%package -n %{lib_name}
Summary: %{oname} library
Group: System/Libraries

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with the %{oname} library.

%{common_description}

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

#---------------------------------------------

%package -n %{lib_dev}
Summary: Development tools for programs using the %{oname} library
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n	%{lib_dev}
This package contains the header files and libraries needed for
developing programs using the %{oname} library.

%{common_description}

%files -n %{lib_dev}
%defattr(-,root,root)
%{_includedir}/%{name}.h
%{_libdir}/*.a
%{_libdir}/*.so

#---------------------------------------------

%prep
%setup -q -n %{oname}_v%{oversion}
%patch0 -p1 -b .inst

%build
%make CFLAGS="%{optflags} -fPIC" LDFLAGS="%{ldflags}"

%install
rm -rf %buildroot
%makeinstall_std INSTALL_LIBDIR=%{_libdir}

%clean
rm -rf %buildroot




%changelog
* Mon Dec 21 2009 Funda Wang <fwang@mandriva.org> 1.3-6mdv2010.1
+ Revision: 480780
- add gentoo patch (bug#50606)

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.3-5mdv2010.0
+ Revision: 426345
- rebuild

* Sun Aug 03 2008 Helio Chissini de Castro <helio@mandriva.com> 1.3-4mdv2009.0
+ Revision: 262256
- Push new openjpeg build. Needed for kde4 okular

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3-3mdv2009.0
+ Revision: 254780
- rebuild

* Sun Mar 02 2008 Olivier Blin <oblin@mandriva.com> 1.3-1mdv2008.1
+ Revision: 177766
- fix lib install on x86_64
- 1.3
- rediff inst patch
- use makeinstall_std

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 1.1.1-1mdv2008.1
+ Revision: 141036
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Mar 11 2007 Olivier Blin <oblin@mandriva.com> 1.1.1-1mdv2007.1
+ Revision: 141340
- 1.1.1

* Mon Jan 08 2007 Olivier Blin <oblin@mandriva.com> 1.0-2mdv2007.1
+ Revision: 106206
- remove misleading description
- remove empty package

* Mon Jan 08 2007 Olivier Blin <oblin@mandriva.com> 1.0-1mdv2007.1
+ Revision: 106121
- initial openjpeg release
- Create openjpeg

